# CMAKE generated file: DO NOT EDIT!
# Generated by "Unix Makefiles" Generator, CMake Version 4.3

# Delete rule output on recipe failure.
.DELETE_ON_ERROR:

#=============================================================================
# Special targets provided by cmake.

# Disable implicit rules so canonical targets will work.
.SUFFIXES:

# Disable VCS-based implicit rules.
% : %,v

# Disable VCS-based implicit rules.
% : RCS/%

# Disable VCS-based implicit rules.
% : RCS/%,v

# Disable VCS-based implicit rules.
% : SCCS/s.%

# Disable VCS-based implicit rules.
% : s.%

.SUFFIXES: .hpux_make_needs_suffix_list

# Command-line flag to silence nested $(MAKE).
$(VERBOSE)MAKESILENT = -s

#Suppress display of executed commands.
$(VERBOSE).SILENT:

# A target that is always out of date.
cmake_force:
.PHONY : cmake_force

#=============================================================================
# Set environment variables for the build.

# The shell in which to execute make rules.
SHELL = /bin/sh

# The CMake executable.
CMAKE_COMMAND = /usr/bin/cmake

# The command to remove a file.
RM = /usr/bin/cmake -E rm -f

# Escaping for special characters.
EQUALS = =

# The top-level source directory on which CMake was run.
CMAKE_SOURCE_DIR = /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt

# The top-level build directory on which CMake was run.
CMAKE_BINARY_DIR = /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build

# Include any dependencies generated for this target.
include CMakeFiles/StreamHubQtClient.dir/depend.make
# Include any dependencies generated by the compiler for this target.
include CMakeFiles/StreamHubQtClient.dir/compiler_depend.make

# Include the progress variables for this target.
include CMakeFiles/StreamHubQtClient.dir/progress.make

# Include the compile flags for this target's objects.
include CMakeFiles/StreamHubQtClient.dir/flags.make

StreamHubQtClient_autogen/timestamp: /usr/lib/qt6/moc
StreamHubQtClient_autogen/timestamp: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --blue --bold --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_1) "Automatic MOC for target StreamHubQtClient"
	/usr/bin/cmake -E cmake_autogen /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles/StreamHubQtClient_autogen.dir/AutogenInfo.json Release
	/usr/bin/cmake -E touch /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/StreamHubQtClient_autogen/timestamp

CMakeFiles/StreamHubQtClient.dir/codegen:
.PHONY : CMakeFiles/StreamHubQtClient.dir/codegen

CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o: StreamHubQtClient_autogen/mocs_compilation.cpp
CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_2) "Building CXX object CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/StreamHubQtClient_autogen/mocs_compilation.cpp

CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/StreamHubQtClient_autogen/mocs_compilation.cpp > CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.i

CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/StreamHubQtClient_autogen/mocs_compilation.cpp -o CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.s

CMakeFiles/StreamHubQtClient.dir/main.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/main.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/main.cpp
CMakeFiles/StreamHubQtClient.dir/main.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_3) "Building CXX object CMakeFiles/StreamHubQtClient.dir/main.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/main.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/main.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/main.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/main.cpp

CMakeFiles/StreamHubQtClient.dir/main.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/main.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/main.cpp > CMakeFiles/StreamHubQtClient.dir/main.cpp.i

CMakeFiles/StreamHubQtClient.dir/main.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/main.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/main.cpp -o CMakeFiles/StreamHubQtClient.dir/main.cpp.s

CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Theme.cpp
CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_4) "Building CXX object CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Theme.cpp

CMakeFiles/StreamHubQtClient.dir/Theme.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/Theme.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Theme.cpp > CMakeFiles/StreamHubQtClient.dir/Theme.cpp.i

CMakeFiles/StreamHubQtClient.dir/Theme.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/Theme.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Theme.cpp -o CMakeFiles/StreamHubQtClient.dir/Theme.cpp.s

CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Hub.cpp
CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_5) "Building CXX object CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Hub.cpp

CMakeFiles/StreamHubQtClient.dir/Hub.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/Hub.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Hub.cpp > CMakeFiles/StreamHubQtClient.dir/Hub.cpp.i

CMakeFiles/StreamHubQtClient.dir/Hub.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/Hub.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/Hub.cpp -o CMakeFiles/StreamHubQtClient.dir/Hub.cpp.s

CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/WsClient.cpp
CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_6) "Building CXX object CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/WsClient.cpp

CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/WsClient.cpp > CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.i

CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/WsClient.cpp -o CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.s

CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotWidget.cpp
CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_7) "Building CXX object CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotWidget.cpp

CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotWidget.cpp > CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.i

CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotWidget.cpp -o CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.s

CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotGrid.cpp
CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_8) "Building CXX object CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotGrid.cpp

CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotGrid.cpp > CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.i

CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/PlotGrid.cpp -o CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.s

CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/SourceSidebar.cpp
CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_9) "Building CXX object CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/SourceSidebar.cpp

CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/SourceSidebar.cpp > CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.i

CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/SourceSidebar.cpp -o CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.s

CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/TriggerBar.cpp
CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_10) "Building CXX object CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/TriggerBar.cpp

CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/TriggerBar.cpp > CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.i

CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/TriggerBar.cpp -o CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.s

CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/StatsDialog.cpp
CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_11) "Building CXX object CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/StatsDialog.cpp

CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/StatsDialog.cpp > CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.i

CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/StatsDialog.cpp -o CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.s

CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/HistoryBar.cpp
CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_12) "Building CXX object CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/HistoryBar.cpp

CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/HistoryBar.cpp > CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.i

CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/HistoryBar.cpp -o CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.s

CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/MainWindow.cpp
CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_13) "Building CXX object CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/MainWindow.cpp

CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/MainWindow.cpp > CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.i

CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/MainWindow.cpp -o CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.s

CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o: CMakeFiles/StreamHubQtClient.dir/flags.make
CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o: /home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp
CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_14) "Building CXX object CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -MD -MT CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o -MF CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o.d -o CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o -c /home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp

CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.i: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Preprocessing CXX source to CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.i"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -E /home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp > CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.i

CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.s: cmake_force
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green "Compiling CXX source to assembly CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.s"
	/usr/bin/c++ $(CXX_DEFINES) $(CXX_INCLUDES) $(CXX_FLAGS) -S /home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp -o CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.s

# Object files for target StreamHubQtClient
StreamHubQtClient_OBJECTS = \
"CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/main.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o" \
"CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o"

# External object files for target StreamHubQtClient
StreamHubQtClient_EXTERNAL_OBJECTS =

StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/StreamHubQtClient_autogen/mocs_compilation.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/main.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/Theme.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/Hub.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/WsClient.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/PlotWidget.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/PlotGrid.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/SourceSidebar.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/TriggerBar.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/StatsDialog.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/HistoryBar.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/MainWindow.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/home/martino/Projects/MARTe_Integrated_components/Client/streamhub/Protocol.cpp.o
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/build.make
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/compiler_depend.ts
StreamHubQtClient: /usr/lib/libQt6Widgets.so.6.11.1
StreamHubQtClient: /usr/lib/libQt6WebSockets.so.6.11.1
StreamHubQtClient: /usr/lib/libQt6Gui.so.6.11.1
StreamHubQtClient: /usr/lib/libGLX.so
StreamHubQtClient: /usr/lib/libOpenGL.so
StreamHubQtClient: /usr/lib/libQt6Network.so.6.11.1
StreamHubQtClient: /usr/lib/libQt6Core.so.6.11.1
StreamHubQtClient: CMakeFiles/StreamHubQtClient.dir/link.txt
	@$(CMAKE_COMMAND) -E cmake_echo_color "--switch=$(COLOR)" --green --bold --progress-dir=/home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles --progress-num=$(CMAKE_PROGRESS_15) "Linking CXX executable StreamHubQtClient"
	$(CMAKE_COMMAND) -E cmake_link_script CMakeFiles/StreamHubQtClient.dir/link.txt --verbose=$(VERBOSE)

# Rule to build all files generated by this target.
CMakeFiles/StreamHubQtClient.dir/build: StreamHubQtClient
.PHONY : CMakeFiles/StreamHubQtClient.dir/build

CMakeFiles/StreamHubQtClient.dir/clean:
	$(CMAKE_COMMAND) -P CMakeFiles/StreamHubQtClient.dir/cmake_clean.cmake
.PHONY : CMakeFiles/StreamHubQtClient.dir/clean

CMakeFiles/StreamHubQtClient.dir/depend: StreamHubQtClient_autogen/timestamp
	cd /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build && $(CMAKE_COMMAND) -E cmake_depends "Unix Makefiles" /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build /home/martino/Projects/MARTe_Integrated_components/Client/streamhub-qt/build/CMakeFiles/StreamHubQtClient.dir/DependInfo.cmake "--color=$(COLOR)" StreamHubQtClient
.PHONY : CMakeFiles/StreamHubQtClient.dir/depend

